com.h3c.sdn.adm.dao.model

## Enum SystemInformationEntity.SystemInformationRole

- java.lang.Object
- - java.lang.Enum<SystemInformationEntity.SystemInformationRole>
  - - com.h3c.sdn.adm.dao.model.SystemInformationEntity.SystemInformationRole

- All Implemented Interfaces:
    Serializable, Comparable<SystemInformationEntity.SystemInformationRole>
  Enclosing class:
    SystemInformationEntity

      public static enum SystemInformationEntity.SystemInformationRole
      extends Enum<SystemInformationEntity.SystemInformationRole>

  Representation of the System Role enumeration - required due to OSGi behaviors with regards to the JPA representation of all entity artifacts maintained in the same physical bundle. This enumeration must maintain a one-to-one mapping with the SystemRole enumeration

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEADER`
    `MEMBER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SystemInformationEntity.SystemInformationRole` | `fromSystemRole(SystemRole systemRole)` Locates the SystemInformationRole enumeration constant matching a given SystemRole enumeration
    `SystemRole` | `toSystemRole()` returns the SystemRole enumeration matching this enum
    `static SystemInformationEntity.SystemInformationRole` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SystemInformationEntity.SystemInformationRole[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MEMBER

          public static final SystemInformationEntity.SystemInformationRole MEMBER

    - #### LEADER

          public static final SystemInformationEntity.SystemInformationRole LEADER

  - ### Method Detail

    - #### values

          public static SystemInformationEntity.SystemInformationRole[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SystemInformationEntity.SystemInformationRole c : SystemInformationEntity.SystemInformationRole.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SystemInformationEntity.SystemInformationRole valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toSystemRole

          public SystemRole toSystemRole()

      returns the SystemRole enumeration matching this enum
      Returns:
        the matching SystemRole

    - #### fromSystemRole

          public static SystemInformationEntity.SystemInformationRole fromSystemRole(SystemRole systemRole)

      Locates the SystemInformationRole enumeration constant matching a given SystemRole enumeration
      Parameters:
        `systemRole` - the system role to match
      Returns:
        the matching SystemInformationRole

Copyright © 2014. All Rights Reserved.